# V1.0
- [x] Authentication
  - [x] API Key Management
  - [x] Authorization
- [x] Status Management
  - [x] Modelization: Response
  - [x] Modelization: Status
  - [x] Modelization: Output
  - [x] General Errors
  - [x] Specific Errors
  - [ ] Fully manage statuses using the statuses cheatsheet
  - [x] Response Parsing
- [x] Predict
  - [x] Modelization: Input
  - [x] Modelization: Data
  - [x] Modelization: Concept
  - [x] Modelization: Model
  - [x] Support URL Requests for Images
  - [x] Response Parsing
  - [ ] Support base 64 Requests for Images
  - [ ] Support of multiple inputs (max 128)
  - [ ] Modelization: Frame
  - [ ] Video support
- [ ] Search
  - [ ] Add Images to search index
  - [ ] Search by concept
  - [ ] Search by image
- [ ] Train
  - [ ] Add image with concepts
  - [ ] Model Creation
  - [ ] Model Training

# V2.0
- [ ] Feedback
  - [ ] Modelization : Feedback Info
  - [ ] Provide feedback on inputs with concepts
  - [ ] Provide feedback on inputs with regions
  - [ ] Provide feedback on searches
- [ ] Inputs management
  - [ ] Add input with custom id
  - [ ] Add input with metadata
  - [ ] Add input with crop
  - [ ] Get input by id
  - [ ] Modelization: Status
  - [ ] Get input status
  - [ ] Input: Upsert concepts
  - [ ] Input: Delete concepts
  - [ ] Input: Bulk Upsert concepts
  - [ ] Input: Bulk Delete concepts
  - [ ] Delete input
  - [ ] Bulk Delete input
  - [ ] Clean inputs
- [ ] Models management
  - [ ] Create model with concepts
  - [ ] Model: Upsert concepts
  - [ ] Model: Delete concepts
  - [ ] Model: Update concept name
  - [ ] List models
  - [ ] Get model by id
  - [ ] Model: List concepts
  - [ ] Model: List versions
  - [ ] Model: Get version by id
  - [ ] Model: Get training inputs
  - [ ] Model: Get training inputs by version
  - [ ] Delete model
  - [ ] Model: Delete version
  - [ ] Clean models
  - [ ] Search model

- [ ] Workflow Predict

# Experimental features
- [ ] Video splitting using ffmpeg
  - [ ] For models not supporting videos
  - [ ] For videos too big
